<?
//function calcparam($login) {// пересчитаем основные параметры// linkCalcparam
global $game;

/*if($hit<0) $hit=0;
if($hit>95) $hit=95;
if($uklon<0) $uklon=0;
if($uklon>90)
$uklon=90;
if($parring<0) $parring=0;
if($parring>80)
$parring=80;
if($magic_uklon<0) $magic_uklon=0;
if($magic_uklon>70)
$magic_uklon=70;
if($magic_parring<0) $magic_parring=0;
if($magic_parring>80)
$magic_parring=80;
if($magic_shield<0)
$magic_shield=0;
if($magic_shield>60)
$magic_shield=60;
if($damage_min<0) $damage_min=0;
if($damage_max<0) $damage_max=0;
if($speed<0)
$speed=0;
if($speed>8)
$speed=8;

*/

if (!isset($game["players"][$login])) return;
$player=&$game["loc"][$game["players"][$login]][$login];
$skills=split("\|",$player["skills"]);
$player["life_max"]=10+$skills[0]*10;
if (!isset($player["life"])) $player["life"]=$player["life_max"];
$player["mana_max"]=10+$skills[2]*10;
if (!isset($player["mana"])) $player["mana"]=$player["mana_max"];
/*mod*/$uklon=10*($skills[1]+$skills[12]-6);
/**/$parring=10*($skills[1]+$skills[11]-3);
/**/$magic_uklon=10*($skills[2]+$skills[15]-5);
/**/$magic_parring=10*($skills[2]+$skills[14]-1);
/**/$magic_shield=5*($skills[14]);
// считаем крутость exp
for($i=0;$i<count($skills);$i++) if ($i!=3) $exp+=$skills[$i];// кроме level
// что одето
$b=0;
$armor=0;
$shield=0;
if ($player["equip"]) foreach(array_keys($player["equip"]) as $i) {
if (!isset($player["items"][$player["equip"][$i]])) {unset($player["equip"][$i]); continue;};// нет такого предмета, ошибка
$item=split("\|",$player["items"][$player["equip"][$i]]);
if ($i=="body" || $i=="hand" || $i=="leg" || $i=="head" || $i=="sapogi" || $i=="perchatki") $armor+=$item[3];



//armor
if ($i=="shield") $shield=$item[3];
if ($i=="amulet" OR $i=="belt" OR $i=="palec1" OR $i=="palec2") 
{
$armor+=$item[4]; # add armor
$player["life"]+=$item[5]; #add life
$player["life_max"]+=$item[5]; #add life
$player["mana"]+=$item[6]; #add mana
$player["mana_max"]+=$item[6]; #add mana
$hit+=$item[7]; #add точность
$uklon+=$item[8]; #add уклон
$parring+=$item[9]; #add парировать
$magic_uklon+=$item[10]; #add маг уклон
$magic_parring+=$item[11]; #add маг парировать
}

if ($i=="arm" && substr($player["equip"][$i],0,12)=='item.weapon.') {//weapon
$b=1;
if ($item[6]<3) $item[6]+=10;
/*mod*/$speed=$item[6]-round($skills[1]/4);
if (substr($player["equip"][$i],0,19)=='item.weapon.ranged.') $ranged=1; else $ranged=0;
$weaponby=$item[7];

if ($ranged) {// стрельба
$need=$item[8];// патроны
$needtitle=$item[9];// патроны
$hit=7*($skills[1]+$skills[10]-1);
} else {// холодное оружие
$need=''; 
$needtitle=''; 
/*mod*/$hit=7*($skills[1]+$skills[9]);
}
$damage_min=$skills[0]-$item[5]+$item[3];
$damage_max=$skills[0]-$item[5]+$item[4];
if (substr($player["equip"][$i],0,27)=="item.weapon.ranged.crossbow") {$damage_min-=$skills[0];$damage_max-=$skills[0];}// в арбалетах сила не используется
}
}
if (!$b) {// рукопашная
$ranged=0; 
$need=''; 
$needtitle=''; 
$damage_min=(($skills[0]*2)+($skills[8]*3)-5);
$damage_max=(($skills[0]*2)+($skills[8]*3)+5);
$hit=2*($skills[1]*$skills[8]+14);
$speed = 5-round($skills[1]/2);
$weaponby = "Кулаками";
}

// проверка



if($hit<0) $hit=0;
if($hit>95) $hit=95;
if($uklon<0) $uklon=0;
if($uklon>90)
$uklon=90;
if($parring<0) $parring=0;
if($parring>80)
$parring=80;
if($magic_uklon<0) $magic_uklon=0;
if($magic_uklon>70)
$magic_uklon=70;
if($magic_parring<0) $magic_parring=0;
if($magic_parring>80)
$magic_parring=80;
if($magic_shield<0)
$magic_shield=0;
if($magic_shield>60)
$magic_shield=60;
if($damage_min<0) $damage_min=0;
if($damage_max<0) $damage_max=0;
if($speed<0)
$speed=0;
if($speed>8)
$speed=8;




    if (!$player['status1']) $player['status1']=0;
    if (!$player['status2']) $player['status2']=0;
if (!$player['status3']) $player['status3']=0;

require "extra.php"; ##EXTRA


// ок, подводим итог...
$player["war"]="$hit|$damage_min|$damage_max|$speed|$ranged|$armor|$uklon|$parring|$shield|$magic_uklon|$magic_parring|$magic_shield|$weaponby|$exp|$need|$needtitle";
//}

?>
